<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEQTypeOptionViewBase from './emeqtype-option-view-base.vue';

import view_form from '@widgets/emeqtype/main3-form/main3-form.vue';

/**
 * 设备类型
 *
 * @export
 * @class EMEQTypeOptionView
 * @extends {EMEQTypeOptionViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEQTypeOptionView extends EMEQTypeOptionViewBase { }
</script>